.search-box:not(.google-search-box) {
  display: none;
}

.google-results .gsc-input-box {
  border: 0;
  background: none;
}

.google-results .gsib_a {
  padding: 0;
}

.gsc-webResult.gsc-result, .gsc-results .gsc-imageResult,
.google-results .gsc-control-cse {
  border: 0;
  background: none !important;
}

.google-results .gsc-webResult.gsc-result {
  border-width: 0;
  border-bottom: 1px solid #e5e7eb;
}

.dark .gsc-webResult.gsc-result {
  border-width: 0;
  border-bottom: 1px solid #1e293b;
}

.google-results .gs-webResult:not(.gs-no-results-result):not(.gs-error-result) .gs-snippet, .gs-fileFormatType,
.google-results .gsc-result-info {
  color: rgba(var(--color-secondary), 1);
}

.google-results input.gsc-input {
  display: block;
  width: 100%;
  border-width: 0 !important;
  background-color: #f9fafb;
  --tw-shadow: 0 1px 2px 0 #0000000d;
  --tw-shadow-colored: 0 1px 2px 0 var(--tw-shadow-color);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);
  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);
  --tw-ring-color: #e5e7eb;
  border-radius: .5rem;
  padding: .5rem .75rem !important;
  font-size: .875rem;
  line-height: 1.25rem;
}

 .dark .google-results input.gsc-input {
  background-color: #1e293b !important;
  --tw-ring-color: #1e293b;
}

.google-results .gsc-above-wrapper-area {
  border-bottom: 1px solid #e5e7eb;
}

.dark .google-results .gsc-above-wrapper-area {
  border-bottom: 1px solid #1e293b;
}

.google-results .gsc-search-button-v2 {
  border-color: rgba(var(--color-primary), 1);
  background-color: rgba(var(--color-primary), 1);
  border-radius: .5rem;
  padding: .5rem .75rem;
  font-size: .875rem;
  line-height: 1.25rem;
  color: #fff;
}

.google-results .gsc-search-button-v2:hover,
.google-results .gsc-search-button-v2:focus {
  background-color: rgba(var(--color-primary), .8);
}

.dark .google-results .gsc-search-button-v2 {
  border-color: rgba(var(--color-primary-dark), 1);
  background-color: rgba(var(--color-primary-dark), 1);
}

.google-results .gcsc-more-maybe-branding-root {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.google-results .gcsc-find-more-on-google {
  display: flex;
  align-items: center;
  color: rgba(var(--color-text), 1);
}

.dark .google-results .gcsc-find-more-on-google {
  color: rgba(var(--color-text-dark), 1);
}

.google-results .gcsc-find-more-on-google-magnifier {
  fill: rgba(var(--color-primary), 1);
}

.dark .google-results .gcsc-find-more-on-google-magnifier {
  fill: rgba(var(--color-primary-dark), 1);
}

.google-results .gs-webResult.gs-result a.gs-title:link, 
.google-results .gs-webResult.gs-result a.gs-title:link b, 
.google-results .gs-imageResult a.gs-title:link, 
.google-results .gs-imageResult a.gs-title:link b,
.google-results .gsc-results .gsc-cursor-box .gsc-cursor-page.gsc-cursor-current-page {
  color: rgba(var(--color-text), 1);
}

.dark .google-results .gs-webResult.gs-result a.gs-title:link, 
.dark .google-results .gs-webResult.gs-result a.gs-title:link b, 
.dark .google-results .gs-imageResult a.gs-title:link, 
.dark .google-results .gs-imageResult a.gs-title:link b,
.dark .google-results .gsc-results .gsc-cursor-box .gsc-cursor-page.gsc-cursor-current-page {
  color: rgba(var(--color-text-dark), 1);
}

.google-results .gsc-results .gsc-cursor-box .gsc-cursor-page {
  border-color: transparent;
  background-color: transparent;
}

.google-results .gsc-webResult.gsc-result:hover {
  border-color: #e5e7eb;
}

.dark .google-results .gsc-webResult.gsc-result:hover {
  border-color: #1e293b;
}

.gsc-webResult.gsc-result {
  transition: 300ms all;
}

.google-results .gsc-webResult.gsc-result:hover {
  background-color: rgba(var(--color-primary), .1) !important;
}

.dark .google-results .gsc-webResult.gsc-result:hover {
  background-color: rgba(var(--color-primary-dark), .1) !important;
}

.google-results .gsc-webResult.gsc-result {
  padding: 10px;
}

@media not all and (min-width: 1024px)
{
  .google-results table tbody {
    display: table-row-group;
  }
  .google-results table td {
    display: table-cell;
  }
  .google-results table tr {
    display: table-row;
  }
}

.google-results .gsc-tabHeader.gsc-tabhActive {
  border-bottom: 2px solid rgba(var(--color-primary), 1) !important;
  color: rgba(var(--color-text), 1) !important;
}

.dark .google-results .gsc-tabHeader.gsc-tabhActive {
  border-bottom: 2px solid rgba(var(--color-primary-dark), 1) !important;
  color: rgba(var(--color-text-dark), 1) !important;
}

.google-results .gsc-option-menu-container {
  display: flex;
  align-items: center;
}

.google-results .gsc-selected-option {
  white-space: nowrap;
}

.google-results .gsc-orderby {
  display: flex;
  align-items: center;
  justify-content: end;
}